## Structural Differences

Compare two PDFs and report structural differences. Two PDFs that are structurally identical should render the same, but may differ in the exact objects and whether they are inlined or referenced with an indirect reference. `Diff` can be used after some transformation, such as compression or encryption, to verify that the PDF has not been otherwise modified.

### Options

> `java tool.pdf.Diff [options] PDF-filename`

- -ignoredates --
- -password1 password and -password2 password -- password for first and second PDF, respectively
- -page1 range and -page2 range -- password for first and second PDF, respectively. If one range is missing, it is set to the other range. If both ranges are set, they must have the same number of pages. If ranges are set, then those pages are compared only; no other information in the PDFs are affect equality determination.